﻿global using System.Linq.Expressions;
global using Entities.Models;




namespace Contracts;
public interface IRepositoryBase<T>
{
    IQueryable<T> FindAll();
    IQueryable<T> FindByCondition(Expression<Func<T, bool>> expression);
    void Create(T entity);
    void CreateBulk(ICollection<T> entities);
    void UpdateBulk(ICollection<T> entities);
    void Update(T entity);
    void Delete(T entity);
    void DeleteBulk(ICollection<T> entities);
    void Detach(T entity);
    void DetachBulk(ICollection<T> entities);
}
